Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Runtime "J2EE Preview" is invalid
Runtime "J2EE Preview" is invalid [message #208930] Thu, 21 February 2008 19:14 Go to next message
Eclipse User
Originally posted by: erkki.lap.ee

Hi!

I ran into a problem trying to create a dynamic web project in 3.0M5:

After creating the "J2EE Preview" runtime and server (which is Jetty as
far as I know?), I get the following error in the project wizard:

Runtime "J2EE Preview" is invalid.

I have installed: Eclipse 3.4M5, WTP SDK + requirements except
DataTools. Basically all these:
eclipse-SDK-3.4M5-win32.zip
emf-runtime-2.4.0M5.zip
GEF-SDK-3.4.0M5.zip
wtp-sdk-S-3.0M5-20080218021547.zip
xsd-runtime-2.4.0M5.zip

The eclipse SDK is in a separate folder, all the WTP + requirements are
just extracted to an additional manually created extenion location.

(and also the latest Scala Plugin from scala-lang.org, but this should
not affect WTP)
Re: Runtime "J2EE Preview" is invalid [message #208942 is a reply to message #208930] Thu, 21 February 2008 21:34 Go to previous messageGo to next message
Eclipse User
Originally posted by: erkki.lap.ee

I tried the Nightly EPP JEE package -- same problem.

PS. I can later associate the project with that server runtime and it
will work!

Erkki Lindpere wrote:
> Hi!
>
> I ran into a problem trying to create a dynamic web project in 3.0M5:
>
> After creating the "J2EE Preview" runtime and server (which is Jetty as
> far as I know?), I get the following error in the project wizard:
>
> Runtime "J2EE Preview" is invalid.
>
> I have installed: Eclipse 3.4M5, WTP SDK + requirements except
> DataTools. Basically all these:
> eclipse-SDK-3.4M5-win32.zip
> emf-runtime-2.4.0M5.zip
> GEF-SDK-3.4.0M5.zip
> wtp-sdk-S-3.0M5-20080218021547.zip
> xsd-runtime-2.4.0M5.zip
>
> The eclipse SDK is in a separate folder, all the WTP + requirements are
> just extracted to an additional manually created extenion location.
>
> (and also the latest Scala Plugin from scala-lang.org, but this should
> not affect WTP)
Re: Runtime "J2EE Preview" is invalid [message #209057 is a reply to message #208942] Mon, 25 February 2008 14:44 Go to previous message
Angel Vera is currently offline Angel Vera
Messages: 63
Registered: July 2009
Member

I was able to rereate this problem using 20080221, so I open a bug report for
you:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=220194


Erkki Lindpere <erkki@lap.ee> wrote in news:fpkqp6$fr8$1@build.eclipse.org:

> I tried the Nightly EPP JEE package -- same problem.
>
> PS. I can later associate the project with that server runtime and it
> will work!
>
> Erkki Lindpere wrote:
>> Hi!
>>
>> I ran into a problem trying to create a dynamic web project in 3.0M5:
>>
>> After creating the "J2EE Preview" runtime and server (which is Jetty as
>> far as I know?), I get the following error in the project wizard:
>>
>> Runtime "J2EE Preview" is invalid.
>>
>> I have installed: Eclipse 3.4M5, WTP SDK + requirements except
>> DataTools. Basically all these:
>> eclipse-SDK-3.4M5-win32.zip
>> emf-runtime-2.4.0M5.zip
>> GEF-SDK-3.4.0M5.zip
>> wtp-sdk-S-3.0M5-20080218021547.zip
>> xsd-runtime-2.4.0M5.zip
>>
>> The eclipse SDK is in a separate folder, all the WTP + requirements are
>> just extracted to an additional manually created extenion location.
>>
>> (and also the latest Scala Plugin from scala-lang.org, but this should
>> not affect WTP)


Regards,
--
Angel Vera
WTP Server Tools Developer
Previous Topic:Content assist on own facet
Next Topic:"document" unresolved for javascript files
Goto Forum:
  


Current Time: Wed Sep 24 02:41:21 GMT 2014

Powered by FUDForum. Page generated in 0.01675 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software